Summary: An implementation of the lint program
Name: lclint
Version: 2.4b
Release: 5
Source: ftp://ftp.sds.lcs.mit.edu/pub/lclint/lclint-2.4b.src.tar.gz
Source1: lclint.wmconfig
Source2: http://www.sds.lcs.mit.edu/lclint/guide/guide.pdf
URL: http://www.sds.lcs.mit.edu/lclint/
Group: Development/Tools
Copyright: GPL
BuildRoot: /var/tmp/lclint-root

%description 
Scans C source code for mistakes and bad style.

%changelog
* Sat Oct 31 1998 Justin Cormack <jpc1@doc.ic.ac.uk>

- found correct 2.4b source (was actually 2.3)
- no longer an emacs mode
- added documentation

* Wed Oct 14 1998 Justin Cormack <jpc1@doc.ic.ac.uk>

- fixed library directories not to point at buildroot

* Mon Oct 12 1998 Justin Cormack <jpc1@doc.ic.ac.uk>

- fixed executable

* Mon Jun 06 1998 Michael Maher <mike@redhat.com>

- fixed paths for executable link

* Mon May 17 1998 Michael Maher <mike@redhat.com>

- updated to newest version
- added buildroot
- added wmconfig


* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>

- added Summary

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>

- %doc'ed some stuff

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>

- made /usr/lib/lclint/bin a directory, not the executable

* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>

- built the package

%prep
%setup

./configure --prefix $RPM_BUILD_ROOT/usr/lib/lclint 

%build
# fixup library paths so do not include build root
mv Makefile Makefile.orig
cat Makefile.orig | \
    sed -e 's@\(.*DEFAULT_LARCHPATH.*\)$(LIBDIR)\(.*\)@\1/usr/lib/lclint/lib\2@g' \
        -e 's@\(.*DEFAULT_LCLIMPORTDIR.*\)$(IMPORTSDIR)\(.*\)@\1/usr/lib/lclint/imports\2@g' \
    > Makefile

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/lclint
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint
#mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc/lclint-%{PACKAGE_VERSION}

#make EMACSLIBDIR=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp install
make install
install -m 644 -o root -g root $RPM_SOURCE_DIR/lclint.wmconfig  \
        $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint

cp -f $RPM_BUILD_DIR/lclint-%{PACKAGE_VERSION}/bin/lclint \
      $RPM_BUILD_ROOT/usr/bin
# binaries here not needed
rm -rf $RPM_BUILD_ROOT/usr/lib/lclint/bin
# install docs
cp $RPM_SOURCE_DIR/guide.pdf \
   $RPM_BUILD_ROOT/usr/doc/lclint-%{PACKAGE_VERSION}
cp $RPM_BUILD_DIR/lclint-%{PACKAGE_VERSION}/{README,LICENSE} \
   $RPM_BUILD_ROOT/usr/doc/lclint-%{PACKAGE_VERSION}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc /usr/doc/lclint-%{PACKAGE_VERSION}/README
%doc /usr/doc/lclint-%{PACKAGE_VERSION}/LICENSE
%doc /usr/doc/lclint-%{PACKAGE_VERSION}/guide.pdf
/usr/bin/lclint
/usr/lib/lclint
